﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VillainmadEngine;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Villainmad.Stages
{
    class SquareThing : GameEntity
    {
        static Color Blue = new Color(0.25F, 0.25F, 1F);
        static Color Red = new Color(1F, 0.25F, 0.25F);

        public override string Texture
        {
            get { return "Sprites/whiteSquare"; }
        }

        public override float Rotation
        {
            get
            {
                return -1;
            }
            set
            {
            }
        }

        public override BlendState BlendState
        {
            get
            {
                return BlendState.Additive;
            }
        }

        public override void DrawEntity(GameTime gameTime)
        {
            Draw(Texture, null, Red, Angle, null, 1F, SpriteEffects.None, BlendState, false);
            Draw("Sprites/bulOrb", null, Blue, Angle, null, new Vector2(0.25f, 0.5f), SpriteEffects.None,
                BlendState, false);
        }

        public override int Layer
        {
            get
            {
                return 12;
            }
        }

        public override float Size
        {
            get
            {
                return 32;
            }
        }
    }
}
