﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    public partial struct Animation
    {
        /// <summary>
        /// Total length of the animation.
        /// </summary>
        public int Length
        {
            get { return (FrameDelay + 1) * SourceRects.Length; }
        }

        /// <summary>
        /// Number of frames in the animation.
        /// </summary>
        public int FrameCount
        {
            get { return SourceRects.Length; }
        }
    }
}
