﻿using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework.Graphics;

namespace VillainmadEngine
{
    public partial class Basis
    {
        /// <summary>
        /// Currently active GameState.
        /// </summary>
        public static GameState ActiveState
        {
            get { return DataStealer.ActiveGameState; }
        }

        /// <summary>
        /// Currently active Menu. 
        /// </summary>
        public static Menu ActiveMenu
        {
            get { return DataStealer.ActiveMenu; }
        }

        /// <summary>
        /// Currently active Stage.
        /// </summary>
        public static Stage ActiveStage
        {
            get { return DataStealer.ActiveStage; }
        }

        #region Private
        /// <summary>
        /// Currently active SpriteBatch.
        /// </summary>
        private static SpriteBatch spriteBatch
        {
            get { return DataStealer.SpriteBatch; }
        }

        private static List<Menu> MenuList
        {
            get { return DataStealer.StateStackPeek.MenuList; }
        }
        #endregion
    }
}
