﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace VillainmadEngine
{
    public static partial class Drawing
    {
        static Drawing()
        {
            dummyTexture = new Texture2D(GraphicsDevice, 1, 1);
            dummyTexture.SetData<Color>(new Color[] { Color.White });
        }

        private static GraphicsDevice GraphicsDevice
        {
            get { return DataStealer.GraphicsDevice; }
        }

        private static Texture2D dummyTexture;

        /// <summary>
        /// Draws a rectangle of a solid color.
        /// </summary>
        /// <param name="Rect">The rectangle to draw.</param>
        /// <param name="Color">The color to tint the rectangle.</param>
        public static void DrawRectangle(Rectangle Rect, Color Color)
        {
            spriteBatch.Draw(dummyTexture, Rect, Color);
        }
    }
}
