﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace VillainmadEngine
{
    public static partial class Drawing
    {

        /// <summary>
        /// The default blendstate of the game.
        /// </summary>
        public static BlendState DefaultBlend
        {
            get { return BlendState.AlphaBlend; }
        }

        #region SetBlend
        /// <summary>
        /// Sets the current blend-state.
        /// </summary>
        /// <param name="Blend">The BlendState to set.</param>
        private static void SetBlend(BlendState Blend)
        {
            DrawTest();
            if (Blend == DataStealer.blendState) return;

            spriteBatch.End();

            DataStealer.blendState = Blend;

            DataStealer.StartBatch(Blend);
        }
        #endregion
    }
}
