﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    internal class StateMenuList
    {
        public GameState State;
        public Stage Stage = null;
        public List<Menu> MenuList;

        public StateMenuList(GameState state)
        {
            this.State = state;
            MenuList = new List<Menu>();
        }

        public Menu MenuPeek
        {
            get
            {
                if (MenuList.Count == 0) return null;
                return MenuList[MenuList.Count - 1];
            }
        }

        public Menu MenuPop()
        {
            Menu Popper = MenuPeek;
            MenuList.RemoveAt(MenuList.Count - 1);
            return Popper;
        }
    }
}
