﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    public partial class GameState
        : IContentLoader
    {
        /// <summary>
        /// List of filenames of 2D textures. Starts in the "gfx/" directory in
        /// Content. (Not including extensions)
        /// </summary>
        public virtual string[] Texture2DList
        {
            get { throw new NotImplementedException(); }
        }

        /// <summary>
        /// List of filenames of sound effects. Starts in the "sfx/" directory in
        /// Content. (Not including extensions)
        /// </summary>
        public virtual string[] SoundEffectList
        {
            get { throw new NotImplementedException(); }
        }

        /// <summary>
        /// If not null, the filename of the Xact Audio Engine (.xgs) file to be loaded.
        /// Starts in the "sfx/" directory in Content. (Not including extension)
        /// </summary>
        public string AudioEngine { get { return null; } }

        /// <summary>
        /// If not null, the filename of the Xact Sound Bank (.xsb) file to be loaded. 
        /// Starts in the "sfx/" directory in Content. (Not including extension) 
        /// </summary>
        public string SoundBank { get { return null; } }

        /// <summary>
        /// If not null, the filename of the Xact Wave Bank (.xwb) file to be loaded. 
        /// Starts in the "sfx/" directory in Content. (Not including extension) 
        /// </summary>
        public string WaveBank { get { return null; } }

        /// <summary>
        /// Called after the object has been constructed, but before the content 
        /// begins loading.
        /// </summary>
        public virtual void LoadBegin()
        {
        }

        /// <summary>
        /// Called after the content is finished loading but before any updates have
        /// been called.
        /// </summary>
        public virtual void LoadEnd()
        {
        }
    }
}
