﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    public partial class INDrawUpdateInput
    {
        /// <summary>
        /// Called when the component is entered.
        /// Default does nothing.
        /// </summary>
        public virtual void OnEnter()
        {
        }

        /// <summary>
        /// Called when the component is left.
        /// Default does nothing.
        /// </summary>
        public virtual void OnExit()
        {
        }

        /// <summary>
        /// Called when the component pauses itself.
        /// Default does nothing.
        /// </summary>
        public virtual void OnPause()
        {
        }

        /// <summary>
        /// Called when the component resumes itself.
        /// Default does nothing.
        /// </summary>
        public virtual void OnResume()
        {
        }
    }
}
