﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    /// <summary>
    /// Options for playing a BGM.
    /// </summary>
    public enum BGMStopOption
    {
        /// <summary>
        /// Pauses the previous BGM.
        /// When it is next played, it will resume where it left off.
        /// </summary>
        Pause,
        /// <summary>
        /// Stops the previous BGM. When it is next played, it will
        /// start from the beginning.
        /// </summary>
        Stop,
        /// <summary>
        /// Stops the previous BGM and removes it from the list.
        /// </summary>
        StopAndRemove
    }
}
