﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;

namespace VillainmadEngine
{
    public partial class Stage
    {
        /// <summary>
        /// The playing field on the screen.
        /// </summary>
        public virtual Rectangle GameArea
        {
            get { throw new NotImplementedException("Need to set Game Area!"); }
        }

        /// <summary>
        /// The region the player is allowed to occupy.
        /// </summary>
        public virtual Rectangle PlayerField
        {
            get { throw new NotImplementedException("Need to set Playing Field!"); }
        }

        /// <summary>
        /// The layer in which the player exists.
        /// </summary>
        public virtual int PlayerLayer
        {
            get { throw new NotImplementedException("Player Layer needed!"); }
        }
    }
}
