﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using VillainmadEngine;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Villainmad.GameStates
{
    class Main : GameState
    {
        public override string[] SoundEffectList
        {
            get { return new string[] { }; }
        }

        public override string[] Texture2DList
        {
            get { return new string[] { "UI/Border" }; }
        }

        public override void OnEnter()
        {
            Stage.LoadStage<Stages.TestStage>();
        }

        public override void DrawBackground(GameTime gameTime)
        {
            Drawing.Draw("UI/Border", Vector2.Zero, null, Color.White, 0f, Vector2.Zero, 1F,
                SpriteEffects.None, Drawing.DefaultBlend);
        }

        public override void DrawForeground(GameTime gameTime)
        {
            Drawing.DrawArbitraryString("11#:" + Basis.ActiveStage.Entities[11].Length +
                //"\n12#:" + Basis.ActiveStage.Entities[12].Length +
                "\nCmds:" + Basis.ActiveStage.Commands.Length,
                    Vector2.One, Color.White);
        }
    }
}
