﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    internal static partial class DataStealer
    {
        /// <summary>
        /// Returns the currently-active menu.
        /// </summary>
        public static Menu ActiveMenu
        {
            get { return StateStackPeek.MenuPeek; }
        }

        /// <summary>
        /// Currently-active GameState.
        /// </summary>
        public static GameState ActiveGameState
        {
            get { return StateStackPeek.State; }
        }

        /// <summary>
        /// Currently-active Stage.
        /// </summary>
        public static Stage ActiveStage
        {
            get { return StateStackPeek.Stage; }
        }

        public static int OldFrame = -1;
    }
}
