﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VillainmadEngine
{
    internal static partial class DataStealer
    {
        public static List<StateMenuList> StateStack = new List<StateMenuList>();

        /// <summary>
        /// Pops current gamestate.
        /// </summary>
        /// <returns></returns>
        public static StateMenuList StateStackPop()
        {
            int Index = StateStack.Count - 1;
            StateMenuList Popper = StateStack[Index];
            StateStack.RemoveAt(Index);
            return Popper;
        }

        /// <summary>
        /// Peeks current gamestate.
        /// </summary>
        public static StateMenuList StateStackPeek
        {
            get { return StateStack[StateStack.Count - 1]; }
        }
    }
}
